This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534672 - (RHQ-1446) "Applications" autogroup left-nav does nothing in the UI, NPE in logs
"Applications" autogroup left-nav does nothing in the UI, NPE in logs
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-1267
  Show dependency treegraph
 
Reported: 2009-01-30 13:57 EST by Jeff Weiss
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev2798
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jweiss: archived+


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-01-30 13:57:00 EST
To Repeat:

Open any resource Inv page, to bring up left nav.  Expand the RHQ server resource, click the "Applications" autogroup.  Nothing happens.  In the logs there is this error:

2009-01-30 13:52:01,261 WARN  [javax.enterprise.resource.webcontainer.jsf.lifecycle] /rhq/resource/navigation/ResourcesTree.xhtml @48,73 nodeSelectListener="#{ResourceTreeStateAdvisor.nodeSelectListener}": java.lang.NullPointerException
Comment 1 Joseph Marques 2009-02-10 23:33:52 EST
rev2999 - smoother handling of subcategories; 
break favorites into it's own manage bean; 
Comment 2 Jeff Weiss 2009-02-19 09:07:03 EST
Fixed, rev3078.  The Autogroup now expands in the left nav when clicked, no exception in the logs.  Nothing happens in the right panel, though.
Comment 3 Red Hat Bugzilla 2009-11-10 15:33:11 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1446

Note You need to log in before you can comment on or make changes to this bug.